// coding: utf-8
/** Created by: Udo Schmal | https://www.gocher.me/ */
(function () {
  'use strict';
function Password(password) {
  var el = password;
  var psw = document.querySelector('input#password');
  var data = psw.value;
  el.value = '';
  for (var i=0; i<data.length; i++) {
    el.value += '\u25CF';
  }
  password.addEventListener('keypress', function (ev) {
    var data = psw.value || '';
    ev || (ev = window.event);
    var code = ev.keyCode ? ev.keyCode : (ev.charCode ? ev.charCode : ev.which);
    if(!/^(9|1[3678]|224|3[789]|40)$/.test(code.toString())) {
      if (code==8) {
        data = data.substring(0, data.length-1);
      } else {
        data += String.fromCharCode(code);
      }
      psw.value = data;
      el.value = '';
      for (var i=0; i<data.length; i++) {
        el.value += '\u25CF';
      }
      ev.preventDefault();
      return false;
    } else {
      return true;
    }
  });
}
var el = document.querySelector('input.password');
if (el) {
  new Password(el);
}
})();
